Package org.jbpm.workflow.core.node

## Class AsyncEventNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.EventNode
      - - org.jbpm.workflow.core.node.AsyncEventNode

- All Implemented Interfaces:
    `Serializable`, `Contextable`, `ContextResolver`, `Node`, `EventNodeInterface`, `org.kie.api.definition.process.Node`

      public class AsyncEventNode
      extends EventNode

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_BOUNDARY, EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AsyncEventNode​(org.kie.api.definition.process.Node node)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.definition.process.Node` | `getActualNode()` |
    `long` | `getId()` |
    `Map<String,​Object>` | `getMetaData()` |
    `Object` | `getMetaData​(String name)` |
    `org.kie.api.definition.process.Node` | `getPreviousNode()` |
    `org.kie.api.definition.process.Node` | `getPreviousNode​(String type)` |

    - ### Methods inherited from class org.jbpm.workflow.core.node.EventNode

      `acceptsEvent, acceptsEvent, addEventFilter, getEventFilters, getEventTransformer, getScope, getType, getVariableName, removeEventFilter, setEventFilters, setEventTransformer, setScope, setVariableName, validateAddIncomingConnection, validateAddOutgoingConnection`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, getActionTypes, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getIncomingConnections, getIncomingConnections, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncEventNode

          public AsyncEventNode​(org.kie.api.definition.process.Node node)

  - ### Method Detail

    - #### getPreviousNode

          public org.kie.api.definition.process.Node getPreviousNode()

    - #### getPreviousNode

          public org.kie.api.definition.process.Node getPreviousNode​(String type)

    - #### getActualNode

          public org.kie.api.definition.process.Node getActualNode()

    - #### getId

          public long getId()

      Specified by:
        `getId` in interface `org.kie.api.definition.process.Node`
      Overrides:
        `getId` in class `NodeImpl`

    - #### getMetaData

          public Object getMetaData​(String name)

      Overrides:
        `getMetaData` in class `NodeImpl`

    - #### getMetaData

          public Map<String,​Object> getMetaData()

      Specified by:
        `getMetaData` in interface `org.kie.api.definition.process.Node`
      Overrides:
        `getMetaData` in class `NodeImpl`